Get Runtime Requirements
curl --request GET \
--url https://control-plane.kubiya.ai/api/v1/runtimes/{runtime_id}/requirements \
--header 'Authorization: Bearer <token>'import requests
url = "https://control-plane.kubiya.ai/api/v1/runtimes/{runtime_id}/requirements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://control-plane.kubiya.ai/api/v1/runtimes/{runtime_id}/requirements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"model_requirement": {
"description": "<string>",
"supported_providers": [
"<string>"
],
"supported_families": [
"<string>"
],
"examples": [
"<string>"
]
},
"required_config_fields": [
"<string>"
],
"recommended_config_fields": [
"<string>"
],
"max_history_length": 123,
"requires_system_prompt": false,
"requires_tools": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Runtimes
Get Runtime Requirements
Get detailed requirements for a specific runtime.
Returns model compatibility requirements, required configuration fields, and other validation rules for the specified runtime.
GET
/
api
/
v1
/
runtimes
/
{runtime_id}
/
requirements
Get Runtime Requirements
Authorizations
Enter your Kubiya API token (format: Bearer )
Path Parameters
Response
Successful Response
Requirements specification for a runtime
Was this page helpful?
⌘I